unit field1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  OleCtrls, Tx4oleLib_TLB, Menus;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    Insertfield1: TMenuItem;
    TXTextControl1: TTXTextControl;
    TXTextControl2: TTXTextControl;
    procedure Insertfield1Click(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure TXTextControl1FieldClicked(Sender: TObject;
      FieldIndex: Smallint);
    procedure TXTextControl1MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure FormCreate(Sender: TObject);
    Function toPixels(I : Integer): Integer;
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Insertfield1Click(Sender: TObject);
begin
     TXTextControl1.FieldInsert ('-------');
     TXTextControl1.FieldEditAttr [TXTextControl1.FieldCurrent] := $10 + $8 + $1;
end;

procedure TForm1.FormResize(Sender: TObject);
begin
     TXTextControl1.Height := ClientHeight
end;

procedure TForm1.TXTextControl1FieldClicked(Sender: TObject;
  FieldIndex: Smallint);
begin
    TXTextControl1.FieldCurrent := FieldIndex;
    TXTextControl2.Text := 'This is field no. ' + InttoStr(FieldIndex) + '. Its text is: ' + TXTextControl1.FieldText;
    TXTextControl2.Left := toPixels(TXTextControl1.FieldPosX);
    TXTextControl2.Top := toPixels(TXTextControl1.FieldPosY);
    TXTextControl2.BringtoFront;

end;

procedure TForm1.TXTextControl1MouseUp(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
     TXTextControl1.BringtoFront
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
     TXTextControl1.BringtoFront
end;

Function TForm1.toPixels(I : Integer): Integer;
begin
     toPixels := I div (1440 div Form1.PixelsperInch);
end;

end.
