unit Simple1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Tx4oleLib_TLB, OleCtrls, Menus, Printers;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Load1: TMenuItem;
    Saveas1: TMenuItem;
    Edit1: TMenuItem;
    Cut1: TMenuItem;
    Copy1: TMenuItem;
    Paste1: TMenuItem;
    Format1: TMenuItem;
    Character1: TMenuItem;
    Paragraph1: TMenuItem;
    TXButtonBar1: TTXButtonBar;
    TXRuler1: TTXRuler;
    TXTextControl1: TTXTextControl;
    TXStatusBar1: TTXStatusBar;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    N1: TMenuItem;
    Exit1: TMenuItem;
    N2: TMenuItem;
    Print1: TMenuItem;
    procedure FormShow(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure Cut1Click(Sender: TObject);
    procedure Copy1Click(Sender: TObject);
    procedure Paste1Click(Sender: TObject);
    procedure Load1Click(Sender: TObject);
    procedure Saveas1Click(Sender: TObject);
    procedure Character1Click(Sender: TObject);
    procedure Paragraph1Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure Print1Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormShow(Sender: TObject);
begin
    TXTextControl1.ButtonBarHandle := TXButtonBar1.hWnd;
    TXTextControl1.RulerHandle := TXRuler1.hWnd;
    TXTextControl1.StatusBarHandle := TXStatusBar1.hWnd;
end;

procedure TForm1.FormResize(Sender: TObject);
begin
    TXTextControl1.Height := ClientHeight - TXRuler1.Height - TXStatusBar1.Height - TXButtonBar1.Height;
    TXTextControl1.Width := ClientWidth;
    TXRuler1.Width := ClientWidth;
end;

procedure TForm1.Cut1Click(Sender: TObject);
begin
   TXTextControl1.Clip (1);
end;

procedure TForm1.Copy1Click(Sender: TObject);
begin
    TXTextControl1.Clip (2);
end;

procedure TForm1.Paste1Click(Sender: TObject);
begin
    TXTextControl1.Clip (3);
end;

procedure TForm1.Load1Click(Sender: TObject);
const
     TXT_FIlE = 1;
     TXM_FILE = 3;
begin
  OpenDialog1.Title := 'Open file';
  OpenDialog1.Filename := '';
  OpenDialog1.Filter :=
      'Text Control Demo (*.txm)|*.txm|Plain text (*.txt)|*.txt';
  OpenDialog1.FilterIndex := 1;
  If OpenDialog1.Execute then begin;

    // Pass the filename to the text control
    If UpperCase(copy(OpenDialog1.Filename, length(OpenDialog1.filename)-2, 3)) = 'TXM' then begin
       TXTextControl1.Load(OpenDialog1.Filename, 0, TXM_FILE, 0);
    end
    else
       TXTextControl1.Load(OpenDialog1.Filename, 0, TXT_FILE, 0);
  end;
end;

procedure TForm1.Print1Click(Sender: TObject);
var wPages, No : Integer;
begin
     wPages := TXTextControl1.CurrentPages;
     Printer.BeginDoc;
     for No := 1 To wPages do begin
         TXTextControl1.PrintDevice := Printer.Canvas.Handle;
         TXTextControl1.PrintPage(No);
         if No <> wPages then
            Printer.NewPage;
     end;
     Printer.EndDoc;
end;

procedure TForm1.Saveas1Click(Sender: TObject);
const
     TXM_FILE = 3;
begin
  SaveDialog1.Title := 'Save as ...';
  SaveDialog1.Filename := '';
  SaveDialog1.Filter := 'Text Control Demo (*.txm)|*.txm';
  SaveDialog1.FilterIndex := 1;
  SaveDialog1.DefaultExt := 'txm';
  if SaveDialog1.Execute then begin;
    // Pass the filename to the text control
    TXTextControl1.Save(SaveDialog1.Filename, 0, TXM_FILE, 0);
  end;

end;

procedure TForm1.Character1Click(Sender: TObject);
begin
     TXTextCOntrol1.FontDialog
end;

procedure TForm1.Paragraph1Click(Sender: TObject);
begin
     TXTextCOntrol1.ParagraphDialog
end;

procedure TForm1.Exit1Click(Sender: TObject);
begin
     close;
end;

end.
